> For the complete documentation index, see [llms.txt](https://docs.quadrata.com/integration/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.quadrata.com/integration/how-to-integrate/request-privacy-data/api-requests/api-get-privacy-permissions.md).

# API Get Privacy Permissions

{% hint style="info" %}
This endpoint returns the abbreviated [List of Privacy Data](/integration/how-to-integrate/request-privacy-data/list-of-privacy-data.md) parameters that the user has granted your dApp access to.&#x20;

This endpoint does not return any actual privacy data.
{% endhint %}

{% hint style="info" %}
NOTE: There is a service library available to you in the [Quadrata SDK](/integration/how-to-integrate/quadrata-sdk/advanced/api-libraries/api-service-libraries/fetch-privacy-grants.md), for this endpoint.
{% endhint %}

## API endpoint to get an account's granted privacy scopes

<mark style="color:blue;">`GET`</mark> `https://int.quadrata.com/api/v1/privacy/grants/${account}`

#### Path Parameters

| Name                                      | Type   | Description           |
| ----------------------------------------- | ------ | --------------------- |
| account<mark style="color:red;">\*</mark> | String | User's wallet address |

#### Headers

| Name                                            | Type   | Description                                                                                                        |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | `Basic ${base64(apiKey)}`                                                                                          |
| Date<mark style="color:red;">\*</mark>          | String | <p>Date and time of current request</p><p><em>Wed, 04 Oct 2023 02:39:37 GMT</em></p>                               |
| Signature<mark style="color:red;">\*</mark>     | String | [API Signed Request](/integration/how-to-integrate/request-privacy-data/api-requests/how-to-sign-api.md) Signature |

{% tabs %}
{% tab title="200: OK Granted privacy scopes" %}

```json
{
  "data": {
    "grants": [
      "FN"
    ],
    "type": "privacy.grants"
  }
}
```

{% endtab %}

{% tab title="401: Unauthorized Invalid Signature or API\_KEY" %}

{% endtab %}

{% tab title="400: Bad Request Invalid Request Payload" %}

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="NodeJS" %}

```javascript
const privateKeyDer = '...';
// You can find `getPrivateKeyFromDer` in "How to sign API"."Full Example" page
const privateKey = await getPrivateKeyFromDer(privateKeyDer);

const walletAddress = '...';

// You can find `makeRequest` in "How to sign API"."Full Example" page
const json = await makeRequest({
    method: 'get',
    privateKey: privateKey,
    path: `/api/v1/privacy/grants/${walletAddress}`
});

console.log(json.data.grants);
```

{% endtab %}

{% tab title="Python" %}

```python
import base64
import json

wallet_address = '...'

# You can find `make_request` in "How to sign API"."Full Example" page
grants_response = make_request(f'/api/v1/privacy/grants/{wallet_address}')

print(json.dumps(grants_response['data']['grants']))
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [***How to sign API***](/integration/how-to-integrate/request-privacy-data/api-requests/how-to-sign-api.md) for message signing examples with more coverage and explanations.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.quadrata.com/integration/how-to-integrate/request-privacy-data/api-requests/api-get-privacy-permissions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
